SDL_GetSensorNonPortableTypeForID(3)

NAME
SDL_GetSensorNonPortableTypeForID - Get the platform dependent type of a sensor.

HEADER FILE
Defined in SDL3/SDL_sensor.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetSensorNonPortableTypeForID(SDL_SensorID instance_id);

DESCRIPTION
This can be called before any sensors are opened.

FUNCTION PARAMETERS

instance_id
    the sensor instance ID.

RETURN VALUE
Returns the sensor platform dependent type, or -1 if instance_id is not valid.

AVAILABILITY
This function is available since SDL 3.2.0.